# Makes the player do animations if you press 0+1, 0+2 or 0+3 (not numpad)

import mbase
import mped
import manim

import xkeypress

keyMonitor = xkeypress.KeyPressMonitor()

def eventFrame():
    global keyMonitor
    
    keyMonitor.processKeys()
    
def playerDoAnimation(animInfo):
    anim = manim.blendPedAnimation(mped.getPlayerPed(), manim.getStockAnimation(animInfo[0], animInfo[1]), 1)
    
    if anim:
        manim.setAnimCallback(anim, 12, playerAnimRemoved, animInfo)

def playerAnimRemoved(animation, animInfo):
    mbase.setHudMessage(0, "Anim " + str(animInfo) + " done")
    
keyMonitor.registerCombination([48, 49], playerDoAnimation, None, ("medic", "CPR"))
keyMonitor.registerCombination([48, 50], playerDoAnimation, None, ("strip", "strip_C"))
keyMonitor.registerCombination([48, 51], playerDoAnimation, None, ("strip", "strip_D"))

mbase.registerCallback("eventFrame", eventFrame)
