# Sample script that shows how to work with keypresses and typed text

import mbase
import ment
import mped

import xkeypress

keyMonitor = xkeypress.KeyPressMonitor()
typingTracker = xkeypress.TypingTracker(None)

def processTypedText(text):
    mbase.setHudMessage(0, text)
    
    partList = text.split(" ")
    player = mped.getPlayerPed()
    
    if partList[0] == "HEAL":
        mped.setPedHealth(mped.getPlayerPed(), 100)
    elif partList[0] == "Q":
        mbase.setHudMessage(0, str(mped.getPedCurrentWeapon(player)) + " " + str(mped.getPedCurrentTotalAmmo(player)) + " " + str(mped.getPedCurrentLoadedAmmo(player)) + " " + str(mped.getCurrentWeaponSlot(player)))
    elif partList[0] == "SL":
        if len(partList) > 1:
            slot = int(partList[1])
            
            mped.setCurrentWeaponSlot(player, slot)
    elif partList[0] == "WEP":
        if len(partList) > 1:
            weapon = int(partList[1])
            ammo = 100
            
            if len(partList) > 2:
                ammo = int(partList[2])
            
            mped.givePedWeapon(mped.getPlayerPed(), weapon, ammo, True, True)

def startTyping(argument):
    global typingTracker
    
    typingTracker.beginTyping()
    
def endTyping(argument):
    global typingTracker
    
    text = typingTracker.endTyping()
    
    if len(text) > 0:
        processTypedText(text)

keyMonitor.registerCombination([9], startTyping, endTyping, None)

def eventFrame():
    global keyMonitor, typingTracker
    
    typingTracker.processKeys()
    keyMonitor.processKeys()

mbase.registerCallback("eventFrame", eventFrame)